%define base_name microcode
%global debug_package %{nil}

Summary:        Tool to transform and deploy CPU microcode update for x86
Name:           %{base_name}_ctl
Version:        20220207
Release:        1%{?dist}
License:        GPLv2+ and Redistributable, no modification permitted
URL:            https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files
Source0:        https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/archive/refs/tags/%{base_name}-%{version}.tar.gz
Source1:        Makefile
ExclusiveArch:  x86_64
BuildRequires:  make

%description
The microcode_ctl utility is a companion to the microcode driver written
by Tigran Aivazian <tigran@aivazian.fsnet.co.uk>.

The microcode update is volatile and needs to be uploaded on each system
boot i.e. it doesn't reflash your cpu permanently, reboot and it reverts
back to the old microcode.

%prep
%setup -T -q -c -n %{base_name}-%{version}
tar xf %{SOURCE0} --strip 1 --wildcards */intel-ucode/* */intel-ucode-with-caveats/* \
    --one-top-level=intel-ucode --strip-components=2 --backup=simple
if [ $? -ne 0 ]; then
  exit $?
fi

cp -p %{SOURCE1} .
if [ $? -ne 0 ]; then
  exit $?
fi

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} INSDIR=/usr/sbin install clean

%files
/lib/firmware/*


%changelog
* Fri Mar 11 2022 Weitao Zhou <zhouwt@linux.alibaba.com> - 20220207-1
- Initial packaging, based upon upstream 20220207 release
